Bug 779224 - (SOA-1617) helloworld_ejb3_ws quickstart fails to compile - missing jboss-annotations-ejb3.jar (seen in ER2, ER3, ER4)
helloworld_ejb3_ws quickstart fails to compile - missing jboss-annotations-ej...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Examples (Show other bugs)
5.0.0 ER3
Unspecified Unspecified
high Severity high
: ---
: 5.0.0 GA,5.0.0 ER6
Assigned To: trev
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-19 14:54 EST by Len DiMaggio
Modified: 2010-01-04 09:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 09:56:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1617 None None None Never

  None (edit)
Description Len DiMaggio 2009-11-19 14:54:50 EST
Date of First Response: 2009-11-19 15:15:13
project_key: SOA

[javac] /jboss/local/50_ER2/jboss-soa-p.5.0.0/jboss-as/samples/quickstarts/helloworld_ejb3_ws/jar/src/org/jboss/soa/esb/samples/quickstart/helloworld/HelloWorldEjbWS.java:7: package org.jboss.annotation.security does not exist
    [javac] import org.jboss.annotation.security.SecurityDomain;
    [javac]                                     ^
    [javac] 1 error

This jar is not in ER2 or ER3 server configs:   jboss-annotations-ejb3.jar
Comment 2 trev 2009-11-24 09:03:11 EST
http://www.jboss.org/index.html?module=bb&op=viewtopic&p=4138079#4138079

implies that org.jboss.annotation.security.SecurityDomain has become org.jboss.security.annotation.SecurityDomain
Comment 3 trev 2009-11-24 11:15:34 EST
confirmed the above with Anil - it now lives in jboss-as/common/lib/jboss-ejb3-security.jar
Comment 4 trev 2009-11-26 05:12:35 EST
Inititial problem fixed, quickstart failing on wsconsume now
Comment 5 trev 2009-11-27 11:28:52 EST
Link: Added: This issue related SOA-1638
Comment 6 Jiri Pechanec 2010-01-04 09:56:24 EST
Verified in ER6

Note You need to log in before you can comment on or make changes to this bug.